org.apache.flume.channel.file.encryption

## Class AESCTRNoPaddingProvider.EncryptorBuilder

- java.lang.Object
- - org.apache.flume.channel.file.encryption.CipherProvider.Encryptor.Builder<org.apache.flume.channel.file.encryption.AESCTRNoPaddingProvider.AESCTRNoPaddingEncryptor>
  - - org.apache.flume.channel.file.encryption.AESCTRNoPaddingProvider.EncryptorBuilder

- Enclosing class:
    AESCTRNoPaddingProvider

      public static class AESCTRNoPaddingProvider.EncryptorBuilder
      extends CipherProvider.Encryptor.Builder<org.apache.flume.channel.file.encryption.AESCTRNoPaddingProvider.AESCTRNoPaddingEncryptor>

- - ### Field Summary

    - ### Fields inherited from class org.apache.flume.channel.file.encryption.CipherProvider.Encryptor.Builder

      `key`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AESCTRNoPaddingProvider.EncryptorBuilder()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.apache.flume.channel.file.encryption.AESCTRNoPaddingProvider.AESCTRNoPaddingEncryptor` | `build()`

    - ### Methods inherited from class org.apache.flume.channel.file.encryption.CipherProvider.Encryptor.Builder

      `setKey`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AESCTRNoPaddingProvider.EncryptorBuilder

          public AESCTRNoPaddingProvider.EncryptorBuilder()

  - ### Method Detail

    - #### build

          public org.apache.flume.channel.file.encryption.AESCTRNoPaddingProvider.AESCTRNoPaddingEncryptor build()

      Specified by:
        `build` in class `CipherProvider.Encryptor.Builder<org.apache.flume.channel.file.encryption.AESCTRNoPaddingProvider.AESCTRNoPaddingEncryptor>`

Copyright © 2009-2016 Apache Software Foundation. All Rights Reserved.